[song]
name = The House of Myth
artist = Creature Feature
album = It Was a Dark and Stormy Night...
genre = Horror Rock
year = 2011
diff_guitar = 3
preview_start_time = 98275
icon = csc
album_track = 3
charter = stripes
song_length = 216550
playlist_track = 0
loading_phrase = "On the outskirts of town, far past the false safety of man’s illumination and machines, there lies a long forgotten road, overgrown and desolate, that writhes and constricts until it spills out before a sinister house standing like a black monument among the looming thicket. There, the pariah waits, preying on unsuspecting victims until the day the earth fractures and swallows it up, sending it straight back to hell where it belongs."      — <i>description for "The House of Myth" on Creature Feature's bandcamp</i>